Loading...
Searching...
No Matches
pcl::_PointSurfel Struct Reference

`#include <pcl/impl/point_types.hpp>`

Inheritance diagram for pcl::_PointSurfel:

## Public Attributes

union { |
struct { |
PCL_ADD_UNION_RGB float radius |
float confidence |
float curvature |
} |
float data_c [4] |
}; |

## Detailed Description

Definition at line 1644 of file point_types.hpp.

## Member Data Documentation

## [union]

PCL_ADD_POINT4D PCL_ADD_NORMAL4D union { ... } pcl::_PointSurfel

## confidence

float pcl::_PointSurfel::confidence

Definition at line 1654 of file point_types.hpp.

Referenced by pcl::PointSurfel::PointSurfel().

## curvature

float pcl::_PointSurfel::curvature

Definition at line 1655 of file point_types.hpp.

Referenced by pcl::common::IntensityFieldAccessor< pcl::PointSurfel >::add(), pcl::common::IntensityFieldAccessor< pcl::PointSurfel >::demean(), pcl::common::IntensityFieldAccessor< pcl::PointSurfel >::get(), pcl::common::IntensityFieldAccessor< pcl::PointSurfel >::operator()(), pcl::PointSurfel::PointSurfel(), and pcl::common::IntensityFieldAccessor< pcl::PointSurfel >::set().

## data_c

float pcl::_PointSurfel::data_c[4]

Definition at line 1657 of file point_types.hpp.

## radius

PCL_ADD_UNION_RGB float pcl::_PointSurfel::radius

Definition at line 1653 of file point_types.hpp.

Referenced by pcl::PointSurfel::PointSurfel().

The documentation for this struct was generated from the following file:

- pcl/impl/point_types.hpp